15

I just downloaded the GTA SA.. and it works fine with the SA:MP 0.3z RC2, but I have a big problem. There is a server which uses a secondary client. I tried to run it with WINE and Mono, but it still doesn't work. By the way, it needs .NET 2.0 on Windows, but I can't make it work on Ubuntu 12.04.

This is the client program:

http://data.hu/get/7493141/ClassRPG.exe

Error message when run by Wine:

wine: Install Mono for Windows to run .NET 2.0 applications.

Error message when run by Mono:

The entry point method could not be loaded.

Any ideas?

2 Answers 2

10

type this in your terminal:

sudo apt-get install mono-vbnc
mono ~/Downloads/ClassRPG.exe

assuming you downloaded the file in your home download directory and it is named ClassRPG.exe

7
  • I did it, installed mono-vbnc before, but it still says: The entry point method could not be loaded
    – user255875
    Mar 7, 2014 at 18:14
  • try to run the application from command line: mono ~/Downloads/ClassRPG.exe
    – kamil
    Mar 7, 2014 at 18:16
  • I did, but as i said, it wont work: metadata.c:886: assertion 'index < meta->heap_strings.size' failed metadata.c:886: assertion 'index < meta->heap_strings.size' failed metadata.c:886: assertion 'index < meta->heap_strings.size' failed metadata.c:914: assertion 'index < meta->heap_blob.size' failed metadata.c:914: assertion 'index < meta->heap_blob.size' failed metadata.c:886: assertion 'index < meta->heap_strings.size'... and so on..at least it says: The entry point method could not be loaded
    – user255875
    Mar 7, 2014 at 18:25
  • 2
    install winetricks: sudo apt-get install winetricks then add dotnet 2.0 : winetricks dotnet20
    – kamil
    Mar 7, 2014 at 18:36
  • I've got 64bit version i cant use that. Can you give me a 64bit version, please?
    – user255875
    Mar 7, 2014 at 19:28
4

If the application in question is pure .Net and compatable with Mono, simply run:

sudo apt-get install mono-complete

Then run it from mono.

If not, you can use winetricks to install Mono or .Net in order to run it.

For .Net you need to be running a 32bit Wine bottle, but for wine-mono or mono you can run it on 64bit or 32bit

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.